Package com.databricks.jdbc.common

## Class MetadataResultConstants

- java.lang.Object
- - com.databricks.jdbc.common.MetadataResultConstants

    public class MetadataResultConstants
    extends Object

### Field Summary

Fields
`static ResultColumn` `BUFFER_LENGTH_COLUMN`
`static ResultColumn` `CATALOG_COLUMN`
`static ResultColumn` `CATALOG_COLUMN_FOR_GET_CATALOGS`
`static List<ResultColumn>` `CATALOG_COLUMNS`
`static ResultColumn` `CHAR_OCTET_LENGTH_COLUMN`
`static ResultColumn` `COL_NAME_COLUMN`
`static List<ResultColumn>` `COLUMN_COLUMNS`
`static ResultColumn` `COLUMN_DEF_COLUMN`
`static ResultColumn` `COLUMN_SIZE_COLUMN`
`static ResultColumn` `COLUMN_TYPE_COLUMN`
`static ResultColumn` `DATA_TYPE_COLUMN`
`static ResultColumn` `DECIMAL_DIGITS_COLUMN`
`static String[]` `DEFAULT_TABLE_TYPES`
`static ResultColumn` `FUNCTION_CATALOG_COLUMN`
`static List<ResultColumn>` `FUNCTION_COLUMNS`
`static ResultColumn` `FUNCTION_NAME_COLUMN`
`static ResultColumn` `FUNCTION_SCHEMA_COLUMN`
`static ResultColumn` `FUNCTION_TYPE_COLUMN`
`static ResultColumn` `IS_AUTO_INCREMENT_COLUMN`
`static ResultColumn` `IS_GENERATED_COLUMN`
`static ResultColumn` `IS_NULLABLE_COLUMN`
`static ResultColumn` `KEY_SEQUENCE_COLUMN`
`static Map<CommandName,​List<ResultColumn>>` `NON_NULLABLE_COLUMNS_MAP`
`static String` `NULL_STRING`
`static ResultColumn` `NULLABLE_COLUMN`
`static ResultColumn` `NUM_PREC_RADIX_COLUMN`
`static ResultColumn` `ORDINAL_POSITION_COLUMN`
`static ResultColumn` `PRIMARY_KEY_NAME_COLUMN`
`static List<ResultColumn>` `PRIMARY_KEYS_COLUMNS`
`static ResultColumn` `REF_GENERATION_COLUMN`
`static ResultColumn` `REMARKS_COLUMN`
`static ResultColumn` `SCHEMA_COLUMN`
`static List<ResultColumn>` `SCHEMA_COLUMNS`
`static ResultColumn` `SCOPE_CATALOG_COLUMN`
`static ResultColumn` `SCOPE_SCHEMA_COLUMN`
`static ResultColumn` `SCOPE_TABLE_COLUMN`
`static ResultColumn` `SELF_REFERENCING_COLUMN_NAME`
`static ResultColumn` `SOURCE_DATA_TYPE_COLUMN`
`static ResultColumn` `SPECIFIC_NAME_COLUMN`
`static ResultColumn` `SQL_DATA_TYPE_COLUMN`
`static ResultColumn` `SQL_DATETIME_SUB_COLUMN`
`static List<ResultColumn>` `TABLE_COLUMNS`
`static ResultColumn` `TABLE_NAME_COLUMN`
`static ResultColumn` `TABLE_TYPE_COLUMN`
`static List<ResultColumn>` `TABLE_TYPE_COLUMNS`
`static List<List<Object>>` `TABLE_TYPES_ROWS`
`static ResultColumn` `TYPE_CATALOG_COLUMN`
`static List<ResultColumn>` `TYPE_INFO_COLUMNS`
`static ResultColumn` `TYPE_NAME_COLUMN`
`static ResultColumn` `TYPE_SCHEMA_COLUMN`

### Constructor Summary

Constructors
`MetadataResultConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_TABLE_TYPES

    public static final String[] DEFAULT_TABLE_TYPES

#### CATALOG_COLUMN

    public static final ResultColumn CATALOG_COLUMN

#### CATALOG_COLUMN_FOR_GET_CATALOGS

    public static final ResultColumn CATALOG_COLUMN_FOR_GET_CATALOGS

#### TYPE_CATALOG_COLUMN

    public static final ResultColumn TYPE_CATALOG_COLUMN

#### TYPE_SCHEMA_COLUMN

    public static final ResultColumn TYPE_SCHEMA_COLUMN

#### SELF_REFERENCING_COLUMN_NAME

    public static final ResultColumn SELF_REFERENCING_COLUMN_NAME

#### REF_GENERATION_COLUMN

    public static final ResultColumn REF_GENERATION_COLUMN

#### KEY_SEQUENCE_COLUMN

    public static final ResultColumn KEY_SEQUENCE_COLUMN

#### PRIMARY_KEY_NAME_COLUMN

    public static final ResultColumn PRIMARY_KEY_NAME_COLUMN

#### TYPE_NAME_COLUMN

    public static final ResultColumn TYPE_NAME_COLUMN

#### SCHEMA_COLUMN

    public static final ResultColumn SCHEMA_COLUMN

#### TABLE_NAME_COLUMN

    public static final ResultColumn TABLE_NAME_COLUMN

#### TABLE_TYPE_COLUMN

    public static final ResultColumn TABLE_TYPE_COLUMN

#### REMARKS_COLUMN

    public static final ResultColumn REMARKS_COLUMN

#### COLUMN_TYPE_COLUMN

    public static final ResultColumn COLUMN_TYPE_COLUMN

#### BUFFER_LENGTH_COLUMN

    public static final ResultColumn BUFFER_LENGTH_COLUMN

#### COLUMN_SIZE_COLUMN

    public static final ResultColumn COLUMN_SIZE_COLUMN

#### COLUMN_DEF_COLUMN

    public static final ResultColumn COLUMN_DEF_COLUMN

#### DECIMAL_DIGITS_COLUMN

    public static final ResultColumn DECIMAL_DIGITS_COLUMN

#### COL_NAME_COLUMN

    public static final ResultColumn COL_NAME_COLUMN

#### FUNCTION_CATALOG_COLUMN

    public static final ResultColumn FUNCTION_CATALOG_COLUMN

#### FUNCTION_SCHEMA_COLUMN

    public static final ResultColumn FUNCTION_SCHEMA_COLUMN

#### FUNCTION_NAME_COLUMN

    public static final ResultColumn FUNCTION_NAME_COLUMN

#### FUNCTION_TYPE_COLUMN

    public static final ResultColumn FUNCTION_TYPE_COLUMN

#### SPECIFIC_NAME_COLUMN

    public static final ResultColumn SPECIFIC_NAME_COLUMN

#### NUM_PREC_RADIX_COLUMN

    public static final ResultColumn NUM_PREC_RADIX_COLUMN

#### IS_NULLABLE_COLUMN

    public static final ResultColumn IS_NULLABLE_COLUMN

#### SQL_DATA_TYPE_COLUMN

    public static final ResultColumn SQL_DATA_TYPE_COLUMN

#### DATA_TYPE_COLUMN

    public static final ResultColumn DATA_TYPE_COLUMN

#### SQL_DATETIME_SUB_COLUMN

    public static final ResultColumn SQL_DATETIME_SUB_COLUMN

#### CHAR_OCTET_LENGTH_COLUMN

    public static final ResultColumn CHAR_OCTET_LENGTH_COLUMN

#### SCOPE_CATALOG_COLUMN

    public static final ResultColumn SCOPE_CATALOG_COLUMN

#### SCOPE_SCHEMA_COLUMN

    public static final ResultColumn SCOPE_SCHEMA_COLUMN

#### SCOPE_TABLE_COLUMN

    public static final ResultColumn SCOPE_TABLE_COLUMN

#### SOURCE_DATA_TYPE_COLUMN

    public static final ResultColumn SOURCE_DATA_TYPE_COLUMN

#### NULLABLE_COLUMN

    public static final ResultColumn NULLABLE_COLUMN

#### ORDINAL_POSITION_COLUMN

    public static final ResultColumn ORDINAL_POSITION_COLUMN

#### IS_AUTO_INCREMENT_COLUMN

    public static final ResultColumn IS_AUTO_INCREMENT_COLUMN

#### IS_GENERATED_COLUMN

    public static final ResultColumn IS_GENERATED_COLUMN

#### FUNCTION_COLUMNS

    public static List<ResultColumn> FUNCTION_COLUMNS

#### COLUMN_COLUMNS

    public static List<ResultColumn> COLUMN_COLUMNS

#### CATALOG_COLUMNS

    public static List<ResultColumn> CATALOG_COLUMNS

#### SCHEMA_COLUMNS

    public static List<ResultColumn> SCHEMA_COLUMNS

#### TABLE_COLUMNS

    public static List<ResultColumn> TABLE_COLUMNS

#### PRIMARY_KEYS_COLUMNS

    public static List<ResultColumn> PRIMARY_KEYS_COLUMNS

#### TABLE_TYPES_ROWS

    public static List<List<Object>> TABLE_TYPES_ROWS

#### TABLE_TYPE_COLUMNS

    public static List<ResultColumn> TABLE_TYPE_COLUMNS

#### NULL_STRING

    public static String NULL_STRING

#### TYPE_INFO_COLUMNS

    public static List<ResultColumn> TYPE_INFO_COLUMNS

#### NON_NULLABLE_COLUMNS_MAP

    public static final Map<CommandName,​List<ResultColumn>> NON_NULLABLE_COLUMNS_MAP

### Constructor Detail

#### MetadataResultConstants

    public MetadataResultConstants()